<?php

namespace common\modules\triggers\components\conditions\conditions;

use common\components\UnisenderAPI;
use common\modules\triggers\components\conditions\vendor\ConditionBase;
use common\modules\triggers\components\conditions\vendor\ConditionInterface;
use common\modules\users\models\User;

class CheckUserToRegistration extends ConditionBase implements ConditionInterface{
    const CONDITION_ID = 6;

    public $name = 'Пользователь зарегистрировался';

    /**
     * @param null|string $conditionName
     * @return $this mixed
     */
    public static function init($conditionName=__CLASS__){
        return parent::init($conditionName);
    }

    /**
     * @param $message
     * @return bool
     */
    public function check($message){
        $exists = User::find()->where(['email' => $message->email])->exists();
        return $exists;
    }
}